#3600 closed bug (Fixed)

Fail to run using python 3.11

Reported by: th0ma7 Owned by:
Priority: blocker Milestone: not applicable
Component: libtorrent Version: 2.1.0
Keywords: Cc:

Description

Maintainer of the SynoCommunity? deluge package. Currently runs really well using version 2.1.1 on python 3.10. Tried updating to python 3.11 but got the following error:

th0ma7@th0ma7-nas:/var/packages/deluge/var$ cat deluge.log 
Sat May 13 09:58:18 EDT 2023
Starting deluge command /volume1/@appstore/deluge/env/bin/deluged -c /volume1/@appdata/deluge  -l /volume1/@appdata/deluge/logs/deluged.log -L info --logrotate -P /volume1/@appdata/deluge/logs/deluged.pid -d
Starting deluge command /volume1/@appstore/deluge/env/bin/deluge-web -c /volume1/@appdata/deluge  -l /volume1/@appdata/deluge/logs/deluge-web.log -L info --logrotate -P /volume1/@appdata/deluge/logs/deluge-web.pid -d
Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/bin/deluged", line 8, in <module>
    sys.exit(start_daemon())
             ^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/core/daemon_entry.py", line 81, in start_daemon
    parser = ArgParserBase()
             ^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 178, in __init__
    version='%(prog)s ' + _get_version_detail(),
                          ^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 89, in _get_version_detail
    from deluge._libtorrent import LT_VERSION
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
SystemError: type Boost.Python.enum has the Py_TPFLAGS_HAVE_GC flag but has no traverse function
Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 21, in <module>
    import deluge.libtorrent as lt
ModuleNotFoundError: No module named 'deluge.libtorrent'

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/volume1/@appstore/deluge/env/bin/deluge-web", line 8, in <module>
    sys.exit(start())
             ^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/web/__init__.py", line 5, in start
    web = Web()
          ^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/web/web.py", line 24, in __init__
    super().__init__(
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/ui/ui.py", line 40, in __init__
    self.__parser = ArgParserBase(**kwargs)
                    ^^^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 178, in __init__
    version='%(prog)s ' + _get_version_detail(),
                          ^^^^^^^^^^^^^^^^^^^^^
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/argparserbase.py", line 89, in _get_version_detail
    from deluge._libtorrent import LT_VERSION
  File "/volume1/@appstore/deluge/env/lib/python3.11/site-packages/deluge/_libtorrent.py", line 24, in <module>
    import libtorrent as lt
SystemError: type Boost.Python.enum has the Py_TPFLAGS_HAVE_GC flag but has no traverse function

Change History (3)

comment:2 Changed 13 months ago by th0ma7

Solved it using an updated boost version 1.82

Otherwise there is a possibility to patch older boost such as https://github.com/termux/termux-packages/pull/14110/files

comment:3 Changed 13 months ago by Cas

  • Component changed from Unknown to libtorrent
  • Milestone changed from needs verified to not applicable
  • Resolution set to Fixed
  • Status changed from new to closed

Thanks for reporting

Note: See TracTickets for help on using tickets.